## NMDeviceInfiniband

NMDeviceInfiniband

## Functions

const char * | nm_device_infiniband_get_hw_address ()
gboolean | nm_device_infiniband_get_carrier ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read

## Types and Values

#define | NM_DEVICE_INFINIBAND_HW_ADDRESS
#define | NM_DEVICE_INFINIBAND_CARRIER
| NMDeviceInfiniband

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceInfiniband

## Implemented Interfaces

NMDeviceInfiniband implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_infiniband_get_hw_address ()

    const char *
    nm_device_infiniband_get_hw_address (NMDeviceInfiniband *device);

Gets the hardware (MAC) address of the NMDeviceInfiniband

#### Parameters

device | a NMDeviceInfiniband |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_infiniband_get_carrier ()

    gboolean
    nm_device_infiniband_get_carrier (NMDeviceInfiniband *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceInfiniband |

#### Returns

`TRUE` if the device has carrier

## Types and Values

### NM_DEVICE_INFINIBAND_HW_ADDRESS

    #define NM_DEVICE_INFINIBAND_HW_ADDRESS  "hw-address"

### NM_DEVICE_INFINIBAND_CARRIER

    #define NM_DEVICE_INFINIBAND_CARRIER     "carrier"

### NMDeviceInfiniband

    typedef struct _NMDeviceInfiniband NMDeviceInfiniband;

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL